:START
ECHO off
CLS
REM  siehe Forum64 Projektvorstellung: SDrive-MAX von kbr (Klaus)
REM  https://www.forum64.de/index.php?thread/78122-projektvorstellung-sdrive-max/
REM  http://www.kbrnet.de/projekte/sdrive-max/index.html
REM
REM  Befehlszeilen unter Windows angepasst von CapFuture1975 aus dem Forum64
REM  Batchup Menue von Flash
REM  Bug gefunden von HardwareDoc

REM Check ob alle Dateien im gleichen Verzeichnis stehen
if not exist SDrive.hex goto fehler_0
if not exist eeprom_writer.hex goto fehler_0
if not exist avrdude.exe goto fehler_0
if not exist libusb0.dll goto fehler_0
if not exist avrdude.conf goto fehler_0


Echo.
ECHO.
Echo.
ECHO.
Echo.
ECHO.
Echo  			    SDrive-Max Programmierer
ECHO.
Echo     Bitte die COM-Schnittstellennummer des Arduino Uno eingeben (nur Zahlen)
Echo.  	    
Echo.
ECHO.                            

set /p  Eingabe=COM:

echo.
echo.
echo                      Gewaehlt wurde COM%Eingabe% 

If "%Eingabe%" =="" goto HELP

avrdude -c arduino -p m328p -P \\.\COM%Eingabe% -C avrdude.conf -U flash:w:eeprom_writer.hex

echo.
echo.
echo.
echo.
echo              USB vom PC entfernen und wieder einstecken
echo               RESET am UNO reicht nicht aus!!!!!!
echo              warten bis die COM am PC wieder aktiv ist
echo.                     dann Taste druecken
echo.
echo.
echo.
echo.
Pause



avrdude -c arduino -p m328p -P \\.\COM%Eingabe% -C avrdude.conf -U flash:w:SDrive.hex

goto END

:HELP
CLS
echo.
echo.
echo.
echo Wenn die COM-Port Nummer nicht bekannt ist, die "Arduino.exe" Software starten.
echo Im Menuepunkt - Werkzeuge-Board: Port wird die vergebene COM-Schnittstelle angezeigt.
echo Ist die Software nicht vorhanden, dann unter http://arduino.cc laden.
echo Im Geraetemanager von Windows wird die COM-Schnittstelle unter Anschluesse (COM+LTP) auch angezeigt. 
echo.
echo.
echo.
echo Weiter geht es mit einem Tastendruck

Pause
goto START



:fehler_0
CLS
echo.
echo.
echo     Es fehlen Dateien im Verzeichnis, bitte ueberpruefen. 
echo.
echo.
PAUSE

:END
echo.
echo.
echo.
echo.
echo           Programmierung ist beendet
echo.
echo.
Pause